package com.six15.hudservice;

import java.util.HashMap;
import java.util.Map;

public enum HUD_DirectionBYTE {
    HD_READ  ((byte)0x00),
    HD_WRITE ((byte)0x01);

    private static final Map<Byte, HUD_DirectionBYTE> typesByValue = new HashMap<Byte, HUD_DirectionBYTE>();
    static {
        for (HUD_DirectionBYTE type : HUD_DirectionBYTE.values()) {
            typesByValue.put(type.value, type);
        }
    }

    private final byte value;
    HUD_DirectionBYTE(byte val) {
        this.value = val;
    }
    public byte value() { return value; }
    public static HUD_DirectionBYTE forValue(byte value) {
        return HUD_DirectionBYTE.typesByValue.get(value);
    }
}