package com.six15.hudservice;

import androidx.annotation.Keep;
import androidx.annotation.NonNull;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

@Keep
public class ImuStatus {
    private static final String TAG = "[Six15]ImuStatus";

    @Expose
    public int imu_en;

    @Expose
    public ImuCalSensor cal_status;

    @Expose
    public int cal_error;

    @Expose
    public float filter_gain;

    @Expose
    public float cal_progress;

    @Override
    public String toString() {
        return "ImuStatus{" +
                "imu_en=" + imu_en +
                ", cal_status=" + cal_status +
                ", cal_error=" + cal_error +
                ", filter_gain=" + filter_gain +
                ", cal_progress=" + cal_progress +
                '}';
    }
}