package com.six15.hudservice;

import java.util.HashMap;
import java.util.Map;

public enum HUD_StartBYTE {
    SB_ERROR((byte) 0x00),
    SB_TEST_FRAME((byte) 0x0A),
    SB_IMGDATA((byte) 0xCA),
    SB_COMMAND((byte) 0xA5),
    SB_RESPONSE((byte) 0xD5);

    private static final Map<Byte, HUD_StartBYTE> typesByValue = new HashMap<Byte, HUD_StartBYTE>();
    static {
        for (HUD_StartBYTE type : HUD_StartBYTE.values()) {
            typesByValue.put(type.value, type);
        }
    }

    private final byte value;
    HUD_StartBYTE(byte val) {
        this.value = val;
    }
    public byte value() { return value; }
    public static HUD_StartBYTE forValue(byte value) {
        return HUD_StartBYTE.typesByValue.get(value);
    }
}